Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.concurrent
Class WaitPolicy

    java.lang.Object
      org.mule.util.concurrent.WaitPolicy

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler

    public class WaitPolicy

extends Object
implements edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler

A handler for unexecutable tasks that waits until the task can be submitted for execution or times out. Generously snipped from the jsr166 repository at: .

Constructor Summary
`WaitPolicy()` Constructs a `WaitPolicy` which waits (almost) forever.
`WaitPolicy(long time, edu.emory.mathcs.backport.java.util.concurrent.TimeUnit timeUnit)` Constructs a `WaitPolicy` with timeout.

Method Summary
`void` | `rejectedExecution(Runnable r, edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaitPolicy

    public WaitPolicy()

  Constructs a `WaitPolicy` which waits (almost) forever.

### WaitPolicy

    public WaitPolicy(long time,
                      edu.emory.mathcs.backport.java.util.concurrent.TimeUnit timeUnit)

  Constructs a `WaitPolicy` with timeout. A negative `time` value is interpreted as `Long.MAX_VALUE`.

Method Detail

### rejectedExecution

    public void rejectedExecution(Runnable r,
                                  edu.emory.mathcs.backport.java.util.concurrent.ThreadPoolExecutor e)

  Specified by:
    `rejectedExecution` in interface `edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.